summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-11-02 13:00:40 +0100
committerAlexis Ballier <aballier@gentoo.org>2015-11-02 13:00:47 +0100
commit5b240aa12260678c766f1f7cc19ec7e405ff4440 (patch)
treed09103aef01d91409437be4c97079ab3a8c9164f /dev-ros/xmlrpcpp
parentdev-python/unittest2: Revert accidental stabilization (diff)
downloadgentoo-5b240aa12260678c766f1f7cc19ec7e405ff4440.tar.gz
gentoo-5b240aa12260678c766f1f7cc19ec7e405ff4440.tar.bz2
gentoo-5b240aa12260678c766f1f7cc19ec7e405ff4440.zip
dev-ros/xmlrpcpp: Install headers in a prefixed directory.
Fixes collisions with heimdal, bug #561208. Package-Manager: portage-2.2.23
Diffstat (limited to 'dev-ros/xmlrpcpp')
-rw-r--r--dev-ros/xmlrpcpp/files/headers.patch15
-rw-r--r--dev-ros/xmlrpcpp/xmlrpcpp-1.11.15-r1.ebuild (renamed from dev-ros/xmlrpcpp/xmlrpcpp-1.11.15.ebuild)8
-rw-r--r--dev-ros/xmlrpcpp/xmlrpcpp-9999.ebuild8
3 files changed, 31 insertions, 0 deletions
diff --git a/dev-ros/xmlrpcpp/files/headers.patch b/dev-ros/xmlrpcpp/files/headers.patch
new file mode 100644
index 00000000000..ed0cea6f0f4
--- /dev/null
+++ b/dev-ros/xmlrpcpp/files/headers.patch
@@ -0,0 +1,15 @@
+Index: ros_comm-1.11.15/utilities/xmlrpcpp/CMakeLists.txt
+===================================================================
+--- ros_comm-1.11.15.orig/utilities/xmlrpcpp/CMakeLists.txt
++++ ros_comm-1.11.15/utilities/xmlrpcpp/CMakeLists.txt
+@@ -30,9 +30,8 @@ if(WIN32)
+ target_link_libraries(xmlrpcpp ws2_32)
+ endif()
+
+-# FIXME the headers should be in a package-specific subfolder but can not be for backward compatibility
+ install(DIRECTORY include/
+- DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
++ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
+ FILES_MATCHING PATTERN "*.h")
+
+ install(TARGETS xmlrpcpp
diff --git a/dev-ros/xmlrpcpp/xmlrpcpp-1.11.15.ebuild b/dev-ros/xmlrpcpp/xmlrpcpp-1.11.15-r1.ebuild
index a0ae0fd21c5..b4772f1846d 100644
--- a/dev-ros/xmlrpcpp/xmlrpcpp-1.11.15.ebuild
+++ b/dev-ros/xmlrpcpp/xmlrpcpp-1.11.15-r1.ebuild
@@ -17,3 +17,11 @@ IUSE=""
RDEPEND="dev-ros/cpp_common"
DEPEND="${RDEPEND}"
+PATCHES=( "${FILESDIR}/headers.patch" )
+
+src_configure() {
+ ros-catkin_src_configure
+ # Hack so that proper -I are added
+ sed -e "s#_include_dirs \"include\"#_include_dirs \"include;${SYSROOT:-${EPREFIX}}/usr/include/xmlrpcpp\"#" \
+ -i "${BUILD_DIR}/catkin_generated/installspace/xmlrpcppConfig.cmake" || die
+}
diff --git a/dev-ros/xmlrpcpp/xmlrpcpp-9999.ebuild b/dev-ros/xmlrpcpp/xmlrpcpp-9999.ebuild
index a0ae0fd21c5..b4772f1846d 100644
--- a/dev-ros/xmlrpcpp/xmlrpcpp-9999.ebuild
+++ b/dev-ros/xmlrpcpp/xmlrpcpp-9999.ebuild
@@ -17,3 +17,11 @@ IUSE=""
RDEPEND="dev-ros/cpp_common"
DEPEND="${RDEPEND}"
+PATCHES=( "${FILESDIR}/headers.patch" )
+
+src_configure() {
+ ros-catkin_src_configure
+ # Hack so that proper -I are added
+ sed -e "s#_include_dirs \"include\"#_include_dirs \"include;${SYSROOT:-${EPREFIX}}/usr/include/xmlrpcpp\"#" \
+ -i "${BUILD_DIR}/catkin_generated/installspace/xmlrpcppConfig.cmake" || die
+}